# -*- coding: utf-8 -*-
from Tkinter import *
from math import sqrt 
class aplikace:
  def __init__(self):
    self.okno=Tk()
    self.platno=Canvas(self.okno,width=500,height=500)
    self.platno.pack()
    self.kappa=6.67e-11   #znamená 6,67 krát deset na -11
    self.t=0
    self.dt=60*60*6
    self.t1=teleso(self,1.5e11,0.0,0.0,1.5e4,3e30)
    self.t2=teleso(self,-3e11,0.0,0.0,-1e4,4.5e30)
    self.krok()
  def krok(self):
    self.t=self.t+self.dt
    ox=self.t1.x-self.t2.x
    oy=self.t1.y-self.t2.y
    r=sqrt(ox*ox+oy*oy)
    fx=self.kappa*self.t1.m*self.t2.m*ox/(r**3)
    fy=self.kappa*self.t1.m*self.t2.m*oy/(r**3) 
    self.t1.krok(-fx,-fy)
    self.t2.krok(fx,fy)
    self.okno.after(10,self.krok)
class teleso:
  def __init__(self,sa,sx,sy,svx,svy,sm):
    self.a=sa   #ofdkaz na aplikaci
    self.x=sx  #startovní poloha x
    self.y=sy  #startovní poloha y
    self.vx=svx #startovní rychlost x
    self.vy=svy #startovní rychlost y
    self.m=sm    #hmotnost
    self.nakreslise()
  def krok(self,fx,fy):
    ax=fx/self.m
    ay=fy/self.m
    self.vx=self.vx+ax*self.a.dt
    self.vy=self.vy+ay*self.a.dt
    self.x=self.x+self.vx*self.a.dt
    self.y=self.y+self.vy*self.a.dt
    self.smazse()
    self.nakreslise()
    print("X:"+str(self.x)+" Y:"+str(self.y))
  def nakreslise(self):
    xx=int(round(250+self.x/4e11*250))
    yy=int(round(250+self.y/4e11*250))
    self.micek=self.a.platno.create_oval(xx-5,yy-5,xx+5,yy+5,fill="red")
  def smazse(self):
    self.a.platno.delete(self.micek)
    
a=aplikace()
mainloop()

    
 